<div align="center">
	<h1 align="center">
		<img width="32" src="https://emojipedia-us.s3.dualstack.us-west-1.amazonaws.com/thumbs/120/apple/325/dashing-away_1f4a8.png" />
		@windui/react
	</h1>
	<h6 align="center">Developed with ❤️ by Swôth & clqu</h6>
</div>

![npm](https://img.shields.io/npm/v/@windui/react?label=npm&style=for-the-badge)
![npm](https://img.shields.io/npm/dt/@windui/react?style=for-the-badge)

# Installation
This package needs TailwindCSS to work properly.
```shell
npm i --save @windui/react
```

# TailwindCSS Config
```js 21
/** @type {import('tailwindcss').Config} */ 
module.exports = {
  content: [
    "./node_modules/@windui/react/**/*.js",
    // others...
  ]
}
```

# Provider
```ts
import { Provider } from '@windui/react';
import type { AppProps } from 'next/app';
import '../styles/globals.css';

export default function App({ Component, pageProps }: AppProps) {
    return (
        <Provider>
            <Component {...pageProps} />
        </Provider>
    );
};
```

# Components
`Drawer`, `Checkbox`, `Input`, `Modal`, `Provider`, `Skeleton`, `Spinner`, `Panel`, `Panels`, `Tab`, `Tabs`, `TabsGroup`, `Step`, `Wizard`

# Hooks
`useToast()`

---

<h6 align="center"><b>@windui/react</b> is licensed under the <b>MIT License</b>.</h6>